Post Processing¶
Endpoints related to post processing.
- GET /prep-task/¶
Get a list of prep tasks.
Get a list of prep tasks.
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
404 Not Found – The requested prep-task cannot be found.
403 Forbidden – You are not authorized to complete the request. User cannot edit/create prep-task.
- POST /prep-task/¶
Create a new prep task entity.
Create a new prep task entity.
Note: relation for workflow (prep_task_in_workflow) should be created with workflow update
- Status Codes:
201 Created – Resource created successfully
404 Not Found – The requested prep-task cannot be found.
403 Forbidden – You are not authorized to complete the request. User cannot edit/create prep-task.
- Response Headers:
Location – URI of the created resource
- GET /prep-task/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
404 Not Found – The requested prep-task cannot be found.
403 Forbidden – You are not authorized to complete the request. User cannot edit/create prep-task.
- PUT /prep-task/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource updated successfully
404 Not Found – The requested prep-task cannot be found.
403 Forbidden – You are not authorized to complete the request. User cannot edit/create prep-task.
- GET /post-processor-type/¶
List all of the post-processor-types in the system for your account.
List all of the post-processor-types in the system for your account.
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
404 Not Found – The requested post-processor-type cannot be found.
403 Forbidden – You are not authorized to complete the request. Assembly post-processor type cannot be deleted via API.
400 Bad Request – You cannot delete this post_processor_type because there are post processors associated with it. Delete all post processors of this type first. The requested post processor type name already exists. invalid-payload: Missed required fields for provided Batching Strategy. The value you provided for materials does not appear to be a valid material
- POST /post-processor-type/¶
Create a new post-processor-type.
Create a new post-processor-type.
- Status Codes:
201 Created – Resource created successfully
404 Not Found – The requested post-processor-type cannot be found.
403 Forbidden – You are not authorized to complete the request. Assembly post-processor type cannot be deleted via API.
400 Bad Request – You cannot delete this post_processor_type because there are post processors associated with it. Delete all post processors of this type first. The requested post processor type name already exists. invalid-payload: Missed required fields for provided Batching Strategy. The value you provided for materials does not appear to be a valid material
- Response Headers:
Location – URI of the created resource
- GET /post-processor-type/{uuid}/¶
Get a single post-processor-type.
Get a single post-processor-type.
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
404 Not Found – The requested post-processor-type cannot be found.
403 Forbidden – You are not authorized to complete the request. Assembly post-processor type cannot be deleted via API.
400 Bad Request – You cannot delete this post_processor_type because there are post processors associated with it. Delete all post processors of this type first. The requested post processor type name already exists. invalid-payload: Missed required fields for provided Batching Strategy. The value you provided for materials does not appear to be a valid material
- PUT /post-processor-type/{uuid}/¶
Update a post-processor-type by UUID.
Update a post-processor-type by UUID.
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource updated successfully
404 Not Found – The requested post-processor-type cannot be found.
403 Forbidden – You are not authorized to complete the request. Assembly post-processor type cannot be deleted via API.
400 Bad Request – You cannot delete this post_processor_type because there are post processors associated with it. Delete all post processors of this type first. The requested post processor type name already exists. invalid-payload: Missed required fields for provided Batching Strategy. The value you provided for materials does not appear to be a valid material
- DELETE /post-processor-type/{uuid}/¶
Delete a post-processor-type by UUID.
Delete a post-processor-type by UUID.
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource deleted successfully
404 Not Found – The requested post-processor-type cannot be found.
403 Forbidden – You are not authorized to complete the request. Assembly post-processor type cannot be deleted via API.
400 Bad Request – You cannot delete this post_processor_type because there are post processors associated with it. Delete all post processors of this type first. The requested post processor type name already exists. invalid-payload: Missed required fields for provided Batching Strategy. The value you provided for materials does not appear to be a valid material
- POST /prep-workflow/<uuid:source_workflow_uuid>/replace/¶
Replaces source preparation workflow with newly created workflow.
Replaces source preparation workflow with newly created workflow.
- Status Codes:
201 Created – Resource created successfully
404 Not Found – The requested preparation workflow or another related resource cannot be found.
403 Forbidden – You are not authorized to complete the request.
400 Bad Request – The requested workflow name already exists.
- Response Headers:
Location – URI of the created resource
- GET /post-processor/¶
List all of the post-processor in the system for your account.
List all of the post-processor in the system for your account.
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
404 Not Found – The requested post-processor cannot be found.
403 Forbidden – You are not authorized to complete the request. Service provider user cannot edit/create post-processor or attempt to delete the last assembly post-processor in location (which is not allowed).
400 Bad Request – You cannot change the position of an already post processing job. The requested post processor name already exists. Cannot delete post-processor that has runs in queue. Remove runs before deleting post-processor. The sub_location provided in the relocation action doesn’t belong to the provided location
- POST /post-processor/¶
Create a new post-processor.
Create a new post-processor.
- Status Codes:
201 Created – Resource created successfully
404 Not Found – The requested post-processor cannot be found.
403 Forbidden – You are not authorized to complete the request. Service provider user cannot edit/create post-processor or attempt to delete the last assembly post-processor in location (which is not allowed).
400 Bad Request – You cannot change the position of an already post processing job. The requested post processor name already exists. Cannot delete post-processor that has runs in queue. Remove runs before deleting post-processor. The sub_location provided in the relocation action doesn’t belong to the provided location
- Response Headers:
Location – URI of the created resource
- GET /post-processor/{uuid}/¶
Get a single post-processor by UUID.
Get a single post-processor by UUID.
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
404 Not Found – The requested post-processor cannot be found.
403 Forbidden – You are not authorized to complete the request. Service provider user cannot edit/create post-processor or attempt to delete the last assembly post-processor in location (which is not allowed).
400 Bad Request – You cannot change the position of an already post processing job. The requested post processor name already exists. Cannot delete post-processor that has runs in queue. Remove runs before deleting post-processor. The sub_location provided in the relocation action doesn’t belong to the provided location
- PUT /post-processor/{uuid}/¶
Update a post-processor by UUID.
Update a post-processor by UUID.
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource updated successfully
404 Not Found – The requested post-processor cannot be found.
403 Forbidden – You are not authorized to complete the request. Service provider user cannot edit/create post-processor or attempt to delete the last assembly post-processor in location (which is not allowed).
400 Bad Request – You cannot change the position of an already post processing job. The requested post processor name already exists. Cannot delete post-processor that has runs in queue. Remove runs before deleting post-processor. The sub_location provided in the relocation action doesn’t belong to the provided location
- DELETE /post-processor/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource deleted successfully
404 Not Found – The requested post-processor cannot be found.
403 Forbidden – You are not authorized to complete the request. Service provider user cannot edit/create post-processor or attempt to delete the last assembly post-processor in location (which is not allowed).
400 Bad Request – You cannot change the position of an already post processing job. The requested post processor name already exists. Cannot delete post-processor that has runs in queue. Remove runs before deleting post-processor. The sub_location provided in the relocation action doesn’t belong to the provided location
- GET /prep-task-record/¶
Get a list of prep tasks records extended with info from prep tasks, prep workflow record and order.
Get a list of prep tasks records extended with info from prep tasks, prep workflow record and order.
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
404 Not Found – The requested prep_task_record cannot be found.
403 Forbidden – User cannot edit prep_task_record.
400 Bad Request – Provided status is not allowed by transformations.
- POST /prep-task-record/¶
- Status Codes:
201 Created – Resource created successfully
404 Not Found – The requested prep_task_record cannot be found.
403 Forbidden – User cannot edit prep_task_record.
400 Bad Request – Provided status is not allowed by transformations.
- Response Headers:
Location – URI of the created resource
- GET /prep-task-record/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
404 Not Found – The requested prep_task_record cannot be found.
403 Forbidden – User cannot edit prep_task_record.
400 Bad Request – Provided status is not allowed by transformations.
- PUT /prep-task-record/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource updated successfully
404 Not Found – The requested prep_task_record cannot be found.
403 Forbidden – User cannot edit prep_task_record.
400 Bad Request – Provided status is not allowed by transformations.
- DELETE /prep-task-record/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource deleted successfully
404 Not Found – The requested prep_task_record cannot be found.
403 Forbidden – User cannot edit prep_task_record.
400 Bad Request – Provided status is not allowed by transformations.
- GET /prep-workflow-record/¶
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
404 Not Found – The requested preparation workflow record cannot be found.
400 Bad Request – Inconsistent state for one of line_items.
- POST /prep-workflow-record/¶
Create a new prep workflow record entity and related prep task records.
Create a new prep workflow record entity and related prep task records.
Creation of a prep_workflow_record will moves line_item(s) or/and order status to
in-preparation.- Status Codes:
201 Created – Resource created successfully
404 Not Found – The requested preparation workflow record cannot be found.
400 Bad Request – Inconsistent state for one of line_items.
- Response Headers:
Location – URI of the created resource
- GET /prep-workflow-record/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
404 Not Found – The requested preparation workflow record cannot be found.
400 Bad Request – Inconsistent state for one of line_items.
- PUT /prep-workflow-record/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource updated successfully
404 Not Found – The requested preparation workflow record cannot be found.
400 Bad Request – Inconsistent state for one of line_items.
- DELETE /prep-workflow-record/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource deleted successfully
404 Not Found – The requested preparation workflow record cannot be found.
400 Bad Request – Inconsistent state for one of line_items.
- GET /prep-workflow/¶
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
404 Not Found – The requested workflow cannot be found.
403 Forbidden – You are not authorized to complete the request. Action not allowed by permissions or by usage_state.
400 Bad Request – The requested workflow name already exists.
- POST /prep-workflow/¶
Create a new prep workflow entity and linking prep_tasks with workflow via ``tasks_in_workflow``.
Create a new prep workflow entity and linking prep_tasks with workflow via
tasks_in_workflow.- Status Codes:
201 Created – Resource created successfully
404 Not Found – The requested workflow cannot be found.
403 Forbidden – You are not authorized to complete the request. Action not allowed by permissions or by usage_state.
400 Bad Request – The requested workflow name already exists.
- Response Headers:
Location – URI of the created resource
- GET /prep-workflow/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
404 Not Found – The requested workflow cannot be found.
403 Forbidden – You are not authorized to complete the request. Action not allowed by permissions or by usage_state.
400 Bad Request – The requested workflow name already exists.
- PUT /prep-workflow/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource updated successfully
404 Not Found – The requested workflow cannot be found.
403 Forbidden – You are not authorized to complete the request. Action not allowed by permissions or by usage_state.
400 Bad Request – The requested workflow name already exists.
- DELETE /prep-workflow/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource deleted successfully
404 Not Found – The requested workflow cannot be found.
403 Forbidden – You are not authorized to complete the request. Action not allowed by permissions or by usage_state.
400 Bad Request – The requested workflow name already exists.